"""Setup's script."""

from setuptools import setup, find_namespace_packages


with open('README.md', 'rt', encoding='utf-8') as description:
    long_description = description.read()


OPTIONS = {
    'name': 'chapter',
    'description': 'A high-level Python framework for an orchestration of processes',
    'url': 'https://github.com/mhalairt/chapter',
    'long_description': long_description,
    'long_description_content_type': 'text/markdown',
    'version': '1.0.1-a',
    'classifiers': [
        'Development Status :: 1 - Planning',
        'Environment :: Web Environment',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: BSD License',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.6',
        'Programming Language :: Python :: Implementation :: CPython',
        'Operating System :: POSIX :: Linux',
    ],
    'license': 'BSD',
    'author': 'Mikhalev Oleg',
    'author_email': 'mhalairt@gmail.com',
    'packages': find_namespace_packages('src'),
    'package_dir': {
        '': 'src',
    },
    'python_requires': '>=3.6',
    'install_requires': [
        'ujson==1.35',
        'uvloop==0.12.2',
    ],
}


if __name__ == '__main__':
    setup(**OPTIONS)
